import dynamix_sdk.base as _base


class CloudbrokerStoragePolicyDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerStoragePolicyDeleteProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def delete(
        self,
        *,
        storage_policy_id: int,
    ) -> CloudbrokerStoragePolicyDeleteResultBool:
        ...
